'use strict';

class Wheel {}

class Car {
  constructor() {
    this.wheels = [ new Wheel(), new Wheel(), new Wheel(), new Wheel(),];
  }
  
  [Symbol.iterator]() {
    let index = 0;
    const self = this;
    
    return {
      next() { 
        return { done: index == 4, value: self.wheels[index++]}; 
      }
    };
  }
}

const car = new Car();

for(const wheel of car) {
  console.log(wheel);
}